API ReferenceFx quotes

Update Quote

PATCH
/v2/fxquotes/{quoteId}

This API call updates an existing quote.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

quoteId*string

Query Parameters

accountNumber?string

Client account number

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Patch request for updating an existing quote

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v2/fxquotes/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "clientTransferNumber": "string",  "deliveryMethod": "BankAccount",  "expires": "2019-08-24T14:15:22Z",  "fxDetail": {    "buy": {      "amount": 80,      "currency": "GBP"    },    "fixedAmountType": "NotSet",    "rate": {      "baseCurrency": "GBP",      "buyCurrency": "GBP",      "inverseRate": 0,      "rate": 0,      "sellCurrency": "GBP"    },    "remainingBuyForward": {      "amount": 80,      "currency": "GBP"    },    "remainingSellForward": {      "amount": 80,      "currency": "GBP"    },    "sell": {      "amount": 80,      "currency": "GBP"    },    "effectiveDate": "2019-08-24",    "quoteType": "Spot",    "remainingToDisburse": {      "amount": 80,      "currency": "GBP"    },    "valueDate": "2019-08-24"  },  "initialMarginSettlementMethod": "BankTransfer",  "messages": [    {      "code": "string",      "message": "string"    }  ],  "payments": [    {      "amount": 80,      "autoAdjustAmountToRemainingBalance": false,      "paymentReference": "INV1234",      "purposeOfPaymentCode": "CORP_SUPLIER_PAYMENT",      "purposeOfPaymentText": "Supplier Payment",      "recipientId": "85ad53e2-4077-418c-b17c-b597ed90c01d"    }  ],  "quoteId": "string",  "quoteTime": "2019-08-24T14:15:22Z",  "settlementMethod": "BankTransfer",  "settlementOptions": [    {      "displayName": "string",      "initialMarginSettlementMethods": [        "BankTransfer"      ],      "isAvailable": true,      "method": "BankTransfer",      "unAvailableReason": "string",      "unAvailableReasonCode": "string"    }  ],  "status": "NotSet",  "summary": [    {      "initialMargin": {        "amount": 0,        "currency": "GBP"      },      "remainingSettlement": {        "amount": 0,        "currency": "GBP",        "valueDate": "2019-08-24"      },      "settlementAmount": {        "amount": 0,        "currency": "GBP"      },      "settlementFees": {        "amount": 0,        "currency": "GBP"      }    }  ]}
{  "code": 0,  "failureDateTime": "2019-08-24T14:15:22Z",  "longErrorMsg": "string",  "shortErrorMsg": "string",  "traceErrorId": "string",  "typeOfFailure": "MODEL_VALIDATION"}
Empty
Empty
Empty
Get help